> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get merge history for a branch

> Get the merge history for a branch, showing which branches were merged into it and when.



## OpenAPI

````yaml api-reference/agents/openapi.json GET /v1/agents/{agentId}/branches/{branchId}/merge-history
openapi: 3.1.0
info:
  title: PolyAI Agents API
  version: 1.0.11
  description: Manage PolyAI agents, telephony, deployments, and real-time configs.
servers:
  - url: https://api.us.poly.ai
    description: US region
  - url: https://api.eu.poly.ai
    description: EU region
  - url: https://api.uk.poly.ai
    description: UK region
  - url: https://api.studio.poly.ai
    description: Studio region
security:
  - polyApiKey: []
paths:
  /v1/agents/{agentId}/branches/{branchId}/merge-history:
    parameters:
      - name: agentId
        in: path
        required: true
        schema:
          type: string
      - name: branchId
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Branches
      summary: Get merge history for a branch
      description: >-
        Get the merge history for a branch, showing which branches were merged
        into it and when.
      responses:
        '200':
          description: Merge history entries
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MergeHistoryPublicResponse'
components:
  schemas:
    MergeHistoryPublicResponse:
      type: object
      title: MergeHistoryPublicResponse
      description: The merge history for a branch.
      properties:
        merges:
          type: array
          items:
            type: object
            properties:
              branchId:
                type:
                  - string
                  - 'null'
              branchName:
                type:
                  - string
                  - 'null'
              actor:
                type:
                  - string
                  - 'null'
              mergedAt:
                type: string
              message:
                type:
                  - string
                  - 'null'
            required:
              - branchId
              - branchName
              - actor
              - mergedAt
              - message
            additionalProperties: false
        hasMore:
          type: boolean
      required:
        - merges
        - hasMore
      additionalProperties: false
  securitySchemes:
    polyApiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````